// ***Th3K1ll3r Jumps Shader File*** //



// *Common Textures*


textures/th3k1ll3r_jumps/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/th3k1ll3r_jumps/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}


textures/th3k1ll3r_jumps/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}


textures/th3k1ll3r_jumps/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}





// *Skybox Textures*


textures/th3k1ll3r_jumps/sky
{
	qer_editorimage env/th3k1ll3r_sky/sky05_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_backSplash 0 0
	q3map_surfacelight 100
	q3map_sunExt 0.7 1 1 255 0 90 15 32
	skyparms env/th3k1ll3r_sky/sky05 - -
}





// *Jumps Textures*


textures/th3k1ll3r_jumps/ground
{
	qer_editorimage "textures/th3k1ll3r_jumps/ground.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/ground.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/lava_rock
{
	qer_editorimage "textures/th3k1ll3r_jumps/lava_rock.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/lava_rock.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/stripe
{
	qer_editorimage "textures/th3k1ll3r_jumps/stripe.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/stripe.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/lava_walls
{
	qer_editorimage "textures/th3k1ll3r_jumps/lava_walls.jpg"
    //surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/lava_walls.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/lava_normal
{
	qer_editorimage textures/th3k1ll3r_jumps/lava_normal.tga
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm lava
	q3map_surfacelight 1000
	cull disable	
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		    map textures/th3k1ll3r_jumps/lava_normal.tga
            tcmod scale 0.5 0.5
            tcmod scroll 0 0
            tcMod turb 0.1 .1 0.01 .01
            blendFunc GL_ONE GL_ZERO
            rgbGen identity
	    }
}


textures/th3k1ll3r_jumps/lava_fall
{
	qer_editorimage textures/th3k1ll3r_jumps/lava_fall.tga
	surfaceparm nolightmap
    q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes bulge 4 2 6
	{
		map textures/th3k1ll3r_jumps/lava_fall.tga
		tcMod scroll 1 0
	}
}


textures/th3k1ll3r_jumps/lava
{
	qer_editorimage textures/th3k1ll3r_jumps/lava.jpg
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm water
	q3map_surfacelight 1000
	cull disable	
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		map textures/th3k1ll3r_jumps/lava.jpg
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}


textures/th3k1ll3r_jumps/wall1
{
	qer_editorimage "textures/th3k1ll3r_jumps/wall1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/wall1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/metal3
{
	qer_editorimage "textures/th3k1ll3r_jumps/metal3.jpg"
    //surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/metal3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/redwood
{
	qer_editorimage "textures/th3k1ll3r_jumps/redwood.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/redwood.jpg"
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/blackwood
{
	qer_editorimage "textures/th3k1ll3r_jumps/blackwood.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/blackwood.jpg"
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/th3k1ll3r_jumps/coolwood
{
	qer_editorimage "textures/th3k1ll3r_jumps/coolwood.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/th3k1ll3r_jumps/coolwood.jpg"
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}





// *Text and Others*


textures/th3k1ll3r_jumps/leet
{
    qer_editorImage textures/th3k1ll3r_jumps/leet.tga
    polygonOffset
    q3map_surfacelight 1000
    {
        map textures/th3k1ll3r_jumps/leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}